DROP TABLE IF EXISTS tomcat_sessions;
create table tomcat_sessions (
  session_id     varchar(100) not null,
  valid_session  char(1) not null,
  max_inactive   int not null,
  last_access    bigint not null,
  app_name       varchar(255),
  session_data   mediumblob,
  PRIMARY KEY(session_id),
  INDEX kapp_name(app_name)
);
