/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package info.heinzelnisse.www;

import info.heinzelnisse.dictionary.DictUtils;
import javax.servlet.http.HttpServletRequest;
import info.heinzelnisse.forum.User;
import java.io.IOException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletResponse;



/**
 *
 * @author hklein
 */
public class BanIP extends HttpServlet {
    private static final Logger logger = Logger.getLogger(BanIP.class.getName());

    private PreparedStatement createInsertStatement(Connection conn, User user, String ip) throws SQLException {
        String query = "INSERT INTO BlockedIps (address, forumUser) VALUES (?,?)";
        PreparedStatement ps = conn.prepareStatement(query);
        ps.setString(1, ip);
        ps.setInt(2, user.getId());
        return ps;
    }

    
    protected void processRequest(HttpServletRequest request, HttpServletResponse response) {
        User user = ((UserSettingsBean) request.getSession().getAttribute("userSettings")).getUser();
        logger.log(Level.FINE, "User: {0} Adim?{1}", new Object[]{user.getDisplayName(), user.isAdmin()});
        
        if (user.isAdmin()) {
            String address = request.getParameter("ban_ip");
            if (address != null) {
                try (Connection conn = DictUtils.dbConnection();
                    PreparedStatement ps = createInsertStatement(conn, user, address)) {
                    int executeUpdate = ps.executeUpdate();
                    response.setContentType("text/plain");
                    response.getWriter().print("IP "+ address +" banned!");
                } catch (SQLException | IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    @Override
    public String getServletInfo() {
        return "Ban IP";
    }// </editor-fold>

}
