/*
 * ForumReadBean.java
 *
 * Created on November 11, 2005, 11:26 AM
 *
 */

package info.heinzelnisse.www.forum;

import info.heinzelnisse.forum.Question;
import java.util.Date;
import java.util.List;

/**
 *
 * @author Heiko Klein
 */
public class ReadBean {
    private String status = "archive";
    private String searchWord = "";
    private Date date = new Date();
    private List<Question> questions;
    
    
    /** Creates a new instance of ForumReadBean */
    public ReadBean() {
    }

    public String getSearchWord() {
        return searchWord;
    }

    public void setSearchWord(String searchWord) {
        this.searchWord = searchWord;
    }

    public Date getDate() {
        return date;
    }
    
    public String getFormattedDate() {
        return Forum.getDateFormat().format(date);
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public List<Question> getQuestions() {
        return questions;
    }

    public void setQuestions(List<Question> questions) {
        this.questions = questions;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    
}
