/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package info.heinzelnisse.www.forum;

import info.heinzelnisse.forum.Answer;
import info.heinzelnisse.forum.Question;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *
 * @author hklein
 */
public class SimpleQuestion {
    private int id;
    private String html;
    private List<SimpleAnswer> answers = new ArrayList<SimpleAnswer>();
    private String keywordString;
    private Date timestamp;
    private String userName;
    
    public SimpleQuestion(Question q) {
        id = q.getId();
        html = q.getText();
        keywordString = q.getKeywordString();
        timestamp = q.getTimestamp();
        userName = q.getUser().getDisplayName();
        for (Answer a : q.getAnswers()) {
            answers.add(new SimpleAnswer(a));
        }
    }

    /**
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * @return the html
     */
    public String getHtml() {
        return html;
    }

    /**
     * @return the answers
     */
    public List<SimpleAnswer> getAnswers() {
        return answers;
    }

    /**
     * @return the keywordString
     */
    public String getKeywordString() {
        return keywordString;
    }

    /**
     * @return the timestamp
     */
    public Date getTimestamp() {
        return timestamp;
    }

    /**
     * @return the userName
     */
    public String getUserName() {
        return userName;
    }
}
