/*
 * StatisticBean.java
 *
 * Created on September 18, 2006, 8:08 PM
 *
 */

package info.heinzelnisse.www.statistics;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Heiko Klein
 */
public class StatisticBean {
    private int translations = 0;
    private int items = 0;
    private int ratio = 0;
    private List<StatFields> yearStats = new ArrayList<StatFields>();
    private List<StatFields> monthStats = new ArrayList<StatFields>();
    private List<StatFields> weekStats = new ArrayList<StatFields>();
    
    /** Creates a new instance of StatisticBean */
    public StatisticBean() {
    }

    public int getTranslations() {
        return translations;
    }

    public void setTranslations(int translations) {
        this.translations = translations;
    }

    public int getItems() {
        return items;
    }

    public void setItems(int items) {
        this.items = items;
    }

    public int getRatio() {
        return ratio;
    }

    public void setRatio(int ratio) {
        this.ratio = ratio;
    }

    public List<StatFields> getYearStats() {
        return yearStats;
    }

    public void setYearStats(List<StatFields> yearStats) {
        this.yearStats = yearStats;
    }

    public List<StatFields> getMonthStats() {
        return monthStats;
    }

    public void setMonthStats(List<StatFields> monthStats) {
        this.monthStats = monthStats;
    }

    public List<StatFields> getWeekStats() {
        return weekStats;
    }

    public void setWeekStats(List<StatFields> weekStats) {
        this.weekStats = weekStats;
    }
    
}
