/*
 * PageBean.java
 *
 * Created on July 16, 2006, 8:10 PM
 *
 */

package info.heinzelnisse.www.wiki;

import info.heinzelnisse.wiki.WikiFormatter;
import info.heinzelnisse.wiki.Page;

/**
 *
 * @author Heiko Klein
 */
public class PageBean {
    private Page page;
    private boolean oldVersion = false;
    
    /**
     * Creates a new instance of PageBean
     */
    public PageBean() {
    }

    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }
    
    public String getPageAsHtml() {
        return WikiFormatter.getInstance().format(page.getContent());
    }

    public boolean isOldVersion() {
        return oldVersion;
    }

    public void setOldVersion(boolean oldVersion) {
        this.oldVersion = oldVersion;
    }
}
