#! /bin/sh
AWSTATS_PRGDIR="/home/heikok/bin/awstats/"
OUTPUTDIR="/var/lib/tomcat8/webapps/Downloads/awstats/"
CONFIG="www.heinzelnisse.info"
PATH=.:$PATH
export PATH

MONTH=`date +%m`
YEAR=`date +%Y`
if [ $MONTH -eq 1 ]; then
  MONTH=12
  YEAR=`expr $YEAR - 1`
else
  MONTH=`expr $MONTH - 1`
fi


MYDIR=$OUTPUTDIR/${YEAR}_$MONTH
if [ ! -d $MYDIR ]; then
   mkdir $MYDIR
fi
cd $AWSTATS_PRGDIR
./awstats_buildstaticpages.pl -config=$CONFIG -month=$MONTH -year=$YEAR -dir=$MYDIR
if [ -f $MYDIR/index.html ]; then
   rm $MYDIR/index.html
fi
ln $MYDIR/awstats.${CONFIG}.html $MYDIR/index.html

sudo -u tomcat8 /bin/gzip /var/log/tomcat8/*${YEAR}-*${MONTH}-??.txt 

