<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<jsp:useBean id="userSettings" type="info.heinzelnisse.www.UserSettingsBean" scope="session" />

<c:choose>
<c:when test="${userSettings.lang == 'de'}">
<h2>Mit dem Download wird die <a href="/Downloads/get_it/license.html">GNU Public License</a> bzw. <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/de/">CC BY-NC-SA</a>anerkannt</h2>

Es existieren diverse Pakete zum Download:
<ul>
    <li><a href="#app">für Smartphones</a></li>
    <li><a href="#handyOnline">für Handies online</a></li>
    <li><a href="#handyOffline">für Handies offline</a></li>
    <li><a href="#kindle">für Kindle</a></li>
    <li><a href="#tolino">für Tolino</a></li>
    <li><a href="#kobo">für Kobo Reader</a></li>
    <li><a href="#pc">für Linux/Mac/Windows/Unix PC/Laptop</a></li>
    <li><a href="#src">Quellkode</a></li>
</ul>
<h3><a href="/app/" name="app">Heinzelnisse App</a><img src="/images/heinzelAppAddress.png" align="right"/></h3>
        Offline-fähige HTML5-App für Smartphones, z.B. Android oder iPhone. Einfach
        mit Handy-Browser <a href="/app/">http://www.heinzelnisse.info/app/</a> öffnen und als Bookmark auf den Startschirm des Handies legen.
<h3>Andere Apps</h3>
   <ul>
     <li> <a href="http://www.windowsphone.com/s?appid=fe930f5b-19dc-4931-94bb-4dae47722e3b">Windows Phone Version</a> von A. Backhaus </li>
     <li> <a href="https://play.google.com/store/apps/details?id=com.unarydigits.adict#?t=W251bGwsMSwxLDIxMiwiY29tLnVuYXJ5ZGlnaXRzLmFkaWN0Il0.">Android Dictionary mit Heinzelnisse</a> von A. Bürger </li>
   </ul>
<h3><a href="/Downloads/get_it/kindle/" name="kindle">Heinzelnisse für Kindle</a></h3>
    Heinzelnisse kann als vollwertiges Amazon <a href="http://www.amazon.de/gp/product/B0051QVF7A/ref=as_li_tf_tl?ie=UTF8&tag=heinzelnisse-21&linkCode=as2&camp=1638&creative=6742&creativeASIN=B0051QVF7A">Kindle</a><img src="https://www.assoc-amazon.de/e/ir?t=heinzelnisse-21&l=as2&o=3&a=B0051QVF7A" width="1" height="1" border="0" alt="" style="border:none !important; margin:0px !important;" />
    Wörterbuch benutzt werden. Dafür müssen die *.mobi
    Dateien aus dem <a href="/Downloads/get_it/kindle/">Downloadverzeichnis</a> auf den Kindle in
    das Verzeichnis <em>documents/dictionaries</em> legen. Danach werden die Wörterbücher erkannt
    und können in dem <a href="http://www.amazon.de/gp/product/B005890FOO/ref=as_li_tf_tl?ie=UTF8&tag=heinzelnisse-21&linkCode=as2&camp=1638&creative=6742&creativeASIN=B005890FOO">Kindle</a><img src="https://www.assoc-amazon.de/e/ir?t=heinzelnisse-21&l=as2&o=3&a=B005890FOO" width="1" height="1" border="0" alt="" style="border:none !important; margin:0px !important;" />
    Wörterbuch Menü für <em>Deutsch - Norwegisch</em> bzw. <em>Norwegisch - Deutsch</em>
    eingestellt werden. Getestet mit Amazons <a href="http://www.amazon.de/gp/product/B005890FUI/ref=as_li_tf_tl?ie=UTF8&tag=heinzelnisse-21&linkCode=as2&camp=1638&creative=6742&creativeASIN=B005890FUI">Kindle Touch</a><img src="https://www.assoc-amazon.de/e/ir?t=heinzelnisse-21&l=as2&o=3&a=B005890FUI" width="1" height="1" border="0" alt="" style="border:none !important; margin:0px !important;" />
    und Kindle Keyboard 3G.
<h3><a href="/Downloads/get_it/tolino/" name="tolino">Heinzelnisse für Tolino</a></h3>
    Heinzelnisse kann als vollwertiges <a href="http://www.tolino.de/">Tolino eReader</a>
    Wörterbuch benutzt werden. Dafür muss die neueste *.zip
    Datei aus dem <a href="/Downloads/get_it/tolino/">Downloadverzeichnis</a> auf den PC heruntergeladen und entpackt werden. Die darin enthaltene Datei <em>NO-DE.quickdic</em> 
    muss auf den Tolino in das Verzeichnis <em>.tolino/dictionaries</em> (eventuell <a href="http://windows.microsoft.com/de-de/windows/show-hidden-files">versteckt</a>) kopiert werden. Danach kann der Tolino auf das Heinzelnisse-Wörterbuch offline zugreifen.
    Die Sprachkennung auf dem Tolino ist Deutsch <-> NX. Bei Problemen mit det Sprachwahl eventuell den Tolino einmal komplett neu starten. Mehr Information bei
    <a href="http://papierlos-lesen.de/neue-woerterbuecher-fuer-den-tolino-shine/">papierlos-lesen.de</a>. Getestet von F. Erdelt auf einem Tolino Vision 2, Software-Version 1.6.2.
<h3><a href="/Downloads/get_it/kobo/" name="kobo">Heinzelnisse für Kobo Reader</a></h3>
    Heinzelnisse kann als nahezu vollwertiges <a href="http://de.kobo.com/devices#ereaders">Kobo eReader</a>
    Wörterbuch benutzt werden. Dafür muss eine der *.zip
    Dateien aus dem <a href="/Downloads/get_it/kobo/">Downloadverzeichnis</a> auf den Kobo in
    das Verzeichnis <em>.kobo/dict</em> als <em>dicthtml.zip</em> legen (eventuelles existierendes <em>dicthtml.zip</em> umbenennen. Danach greift
    die nächste Suche automatisch auf dein Heinzelnissen-Wörterbuch zurück. Mehr Information:
    <a href="http://www.mobileread.com/forums/showthread.php?t=196931#3">http://www.mobileread.com/forums/showthread.php?t=196931#3</a>. Leider werden
    alle selbst installierten Wörterbücher beim Synchronisieren des Kobo wieder überschrieben und müssen neu installiert werden.
<h3><a href='/Downloads/get_it/heinzelnisse.jnlp' name="pc">Heinzelnisse_HE 2.3:</a></h3>
        <div class="centerAlign">
            <a href='/Downloads/get_it/heinzelnisse.jnlp'><img style="text-align: center; border: none;" src="${pageContext.request.contextPath}/images/overviewScreenShot.png" alt="Screenshot" /></a>
        </div>
             Dies ist die <i>Home Edition</i> der
        Heinzelnisse. Ein kleines Programm, das man ohne Netzwerkanbindung laufen lassen
        kann. Eine Java-Version 6 oder h&ouml;her wird
        ben&ouml;tigt. Java ist kostenlos herunterladbar: <a
            href="http://java.com/getjava">Java
        Homepage</a>. Heinzelnisse-HomeEdition2 beinhaltet nur das W&ouml;rterbuch.
        <ul>
            <li><a href='/Downloads/get_it/heinzelnisse.jnlp'>Automatische Webstart Direktinstallation</a></li>
        </ul>
<h3><a href="/wiki/HeinzelnisseForMids" name="handyOffline">Heinzelnisse für Handys</a></h3>
        Eine Offline-Version für die meisten
        Smartphones oder leistungsfähigeren 'Feature' Phones. Diese Version ist auch für Android-Handys verfügbar, bedarf
        jedoch einer speziellen <a href="/wiki/AndroidInstallation">Anleitung</a>
<h3><a href="/Downloads/get_it/jheinzelnisse_src.zip" name="src">JHeinzelnisse-Quellcode</a></h3>
        Dies beinhaltet den tagesaktuellen Quellcode der
        f&uuml;r die Web-Version der Heinzelnisse ben&ouml;tigt wird. Er
        richtet sich an diejenigen, die Lust haben,
        die Heinzelnisse weiterzuentwickeln. Zur Weiterentwicklung werden
        Programmierkenntnisse (Java/JSP, MySQL) benötigt.
<h3><a href="/Downloads/get_it/heinzelnisse_he2_src.zip">Heinzelnisse-HE2-Quellcode</a></h3>
        Der tagesaktuelle Quellcode der Heinzelnisse_HE2 richtet sich an alle, die die HomeEdition der Heinzelnisse
        weiterentwickeln wollen. Patches und Erweiterungen können gerne an uns eingeschickt werden.
</c:when>
<c:otherwise>
<h2>Ved nedlasting anerkjennes <a href="/Downloads/get_it/license.html">GNU Public License</a> eller <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/de/">CC BY-NC-SA</a></h2>

Det finnes forskjellige pakker til nedlasting:
<ul>
    <li><img src="/images/heinzelAppAddress.png" align="right"/><b><a href="/app/">Heinzelnisse App</a></b>: HTML5-App (offline) for smartphones, f.e. Android eller iPhone.
        Bare &aring;pne med mobil-browser <a href="/app/">http://www.heinzelnisse.info/app/</a> og sett appen som bokmerke til oppstartsskjerm.</li>
    <li><b><a href="/wiki/HandyVersion">Heinzelnisse for mobiler</a></b>: En online-versjon som kjører p&aring;
        alle kjente mobiler.    </li>
    <li>
     <ul>
       <li> <a href="http://www.windowsphone.com/s?appid=fe930f5b-19dc-4931-94bb-4dae47722e3b">Windows Phone Version</a> von A. Backhaus </li>
       <li> <a href="https://play.google.com/store/apps/details?id=com.unarydigits.adict#?t=W251bGwsMSwxLDIxMiwiY29tLnVuYXJ5ZGlnaXRzLmFkaWN0Il0.">Android Dictionary mit Heinzelnisse</a> von A. Bürger </li>
     </ul>
    </li>
    <li><b><a href="/Downloads/get_it/kindle/" name="kindle">Heinzelnisse på Kindle</a></b>:
    Heinzelnisse kan brukes som Kindle ordbok. Last ned filene *.mobi fra 
    <a href="/Downloads/get_it/kindle/">HeinzelnisseKindle</a> til din Kindle til katalogen
    <em>documents/dictionaries</em>. Deretter kan du bruke Kindle sin Ordbok-meny til &aring;
    velge <em>Norsk - Tysk</em> eller <em>Tysk - Norsk</em> ordbok.</li>
    <li><b><a href="/Downloads/get_it/tolino/" name="tolino">Heinzelnisse på Tolino</a></b>:
    Heinzelnisse kan brukes som Tolino ordbok. Last ned *.zip fila fra 
    <a href="/Downloads/get_it/tolino/">HeinzelnisseTolino</a> til datamaskinen, unzip den og flytt fila <em>NO-DE.quickdic</em> til din
    Tolino til katalogen
    <em>.tolino/dictionaries</em> (eventuellt <a href="http://windows.microsoft.com/de-de/windows/show-hidden-files">skjult</a>). Deretter kan du bruke Heinzelnisse ordbok på Tolino ved &aring;
    velge <em>Deutsch -> NX</em> eller <em>NX -> Deutsch</em> ordbok.</li>
    <li><b><a href="/Downloads/get_it/kobo/" name="kobo">Heinzelnisse på Kobo</a></b>:
    Heinzelnisse kan brukes som <a href="http://de.kobo.com/devices#ereaders">Kobo eReader</a> ordbok. Last ned en filene *.zip fra 
    <a href="/Downloads/get_it/kobo/">HeinzelnisseKobo</a> til din Kobo til katalogen
    <em>.kobo/dicts</em> og endre navn til <em>dicthtml.zip</em> (ta backup av eksisterende). Neste Ordbok-søk søker da i
    Heinzelnisse. Mere informasjon:</li>
    <a href="http://www.mobileread.com/forums/showthread.php?t=196931#3">http://www.mobileread.com/forums/showthread.php?t=196931#3</a>. Dessverre blir
    ordbok overskreved ved synkronisering og må deretter installeres på nytt.
    <li><b><a href='/Downloads/get_it/heinzelnisse.jnlp'>Heinzelnisse_HE 2.3:</a></b>
        <div class="centerAlign">
            <a href='/Downloads/get_it/heinzelnisse.jnlp'><img style="text-align: center; border: none;" src="${pageContext.request.contextPath}/images/overviewScreenShot.png" alt="Screenshot" /></a>
        </div>

        Dette er <i>Home Edition</i> av
        Heinzelnisse. Et lite program som kan kj&oslash;res p&aring; enhver
        datamaskin uten nettverkstilkobling. Det trengs Java versjon 6
        eller h&oslash;yre som finnes gratis p&aring; <a
            href="http://java.com/getjava">Java hjemmeside</a>. Heinzelnisse-HE2
        inneholder bare ordboka.
        <ul><li><a href='/Downloads/get_it/heinzelnisse.jnlp'>Automatiske Webstart direktinstallasjon</a></li></ul>
    </li>
    <li><b><a href="/wiki/HeinzelnisseForMids">Heinzelnisse for mobiler</a></b>: Heinzelnisse for mobiler som f.e. Nokia,
        Symbian eller lignende, som ikke krever nettverkstilkobling etter installasjonen. Android-versjonen har en ekstra
     <a href="/wiki/AndroidInstallation">veiledning</a>
    </li>
    <li><b><a href="/Downloads/get_it/jheinzelnisse_src.zip">JHeinzelnisse-kildekode</a></b> inneholder kildekoden til
        Heinzelnisse (Web-versjonen). Det skal brukes av folk som
        har lyst til
        &aring; videreutvikle Heinzelnisse. For &aring;
        installere dette, trenger man programmeringskunnskap
        (Java/JSP, MySQL).
    </li>
    <li><b><a href="/Downloads/get_it/heinzelnisse_he2_src.zip">Heinzelnisse_HE2-kildekode</a></b> inneholder kildekoden til
        Heinzelnisse HomeEdition for alle som har lyst til å videreutvikle denne versjonen.
        Vi tar gjerne imot patcher eller ekstensjoner.
    </li>
</ul>
</c:otherwise>
</c:choose>
