<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />


<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%> 

<fmt:setLocale value="${userSettings.lang}"/>

<h2>${userSettings.lang == 'de' ? "Archiv des Forums" : "Forums Arkiv"}</h2>
<ul>
    <li><b>${userSettings.lang == 'de' ? "Jahr Monat (# Themen, Antworten)" : "år måned (# spørsmål, svar)"}</b></li>
        <c:set var="totalQ" value="0" />
        <c:set var="totalA" value="0" />
        <c:forEach var="month" items="${requestScope.reverseMonthList}">
            <c:set var="totalQ" value="${totalQ + requestScope.monthlyQuestions[month][0]}" />
            <c:set var="totalA" value="${totalA + requestScope.monthlyQuestions[month][1]}" />
            <li><a href="${pageContext.request.requestURL}/<fmt:formatDate value="${month}" pattern="yyyy-MM" />"> <fmt:formatDate value="${month}" pattern="yyyy MMMM" /> (${requestScope.monthlyQuestions[month][0]}, ${requestScope.monthlyQuestions[month][1]})</a></li>
    </c:forEach>
    <li>Total: (${totalQ}, ${totalA})</li>
</ul>
