<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<jsp:useBean id="forumWriter" type="info.heinzelnisse.www.forum.WriteBean" scope="request" />
<jsp:useBean id="userSettings" type="info.heinzelnisse.www.UserSettingsBean" scope="session" />
<jsp:useBean id="forumInfo" class="info.heinzelnisse.www.forum.ReadBean" scope="request" />

<script type="text/javascript" src="/images/toolbar.js"><!-- toolbar js --></script>

<jsp:include page="/WEB-INF/fragments/forum/result.jsp" /> <!-- current answer and preview -->

<div id="forumEntry">
<c:choose>
<c:when test="${forumWriter.question != null}"> <!-- Adding new answer -->
    <h2>${userSettings.lang == 'de' ? "Neue Antwort" : "Nytt svar"}</h2>
    <form method="post" enctype="application/x-www-form-urlencoded" action="${request.url}#q_${forumWriter.question.id}">
</c:when>
<c:otherwise>
    <h2>${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}</h2>
    <form method="post" enctype="application/x-www-form-urlencoded">    
</c:otherwise>
</c:choose>
<div id='toolbar'>
<script type='text/javascript'>
/*<![CDATA[*/
addButton("/images/button_bold.gif","Fetter Text","*","*","Fetter Text","mw-editbutton-bold");
addButton("/images/button_italic.gif","Kursiver Text","/","/","Kursiver Text","mw-editbutton-italic");
addButton("/images/button_underline.gif","Unterstrichener Text","_","_","Unterstrichener Text","mw-editbutton-italic");
addButton("/images/button_slash.gif","Schrägstrich","//","","","mw-editbutton-slash");
addButton("/images/button_asterix.gif","Sternchen","**","","","mw-editbutton-asterix");
addButton("/images/button_bulletlist.gif","Punktliste","\n#","\n## Unterpunkt\n#Punkt2\n","Punkt 1","mw-editbutton-bulletlist");
addButton("/images/button_hr.gif","Horizontale Linie (sparsam verwenden)","\n----\n","","","mw-editbutton-hr");
/*]]>*/
</script>
</div>
    <fieldset>
    <textarea name="text" rows="8" cols="100" wrap="hard" id="wpTextbox1">${forumWriter.text}</textarea>
    <div>
        ${userSettings.lang == 'de' ? "Optional: Neue Stichwörter hinzufügen (komma-getrennt)" : "Opsjonal: Legg til nye stikkord"}
    </div>
    <div>
        ${forumWriter.question.keywordString}<input type="text" size="80" name="keywords" value="${(userSettings.user.admin && empty (forumWriter.keywords)) ? forumWriter.question.keywordString : forumWriter.keywords}"/>
    </div>
    <div>
        <b>
            ${userSettings.lang == 'de' ? "Ich versichere hiermit, dass ich den Beitrag selbst verfasst habe bzw. dass er keine fremden Rechte verletzt und willige ein, ihn unter der <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU-Lizenz für freie Dokumentation</a> zu veröffentlichen." : "Legg merke til at alle bidrag til Heinzelnisse er å betrakte som utgitt under <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU fri dokumentasjonslisens</a>. Du lover oss at du skrev teksten selv eller kopierte fra en ressurs som ikke er beskyttet av opphavsrett."}
        </b>
    </div>
    <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Voransicht" : "Preview"}" />
    <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Abschicken" : "Sende"}" />
    <c:if test="${forumWriter.question != null}"> <!-- Adding new answer -->
        <input type="hidden" name="date" value="${param.date}" />
        <input type="hidden" name="ID" value="${forumWriter.question.id}" />
    </c:if>
    </fieldset>
</form>
</div>
<!-- <script type="text/javascript">if (window.mwSetupToolbar) mwSetupToolbar();</script> -->