<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="searchSettings" scope="request" class="info.heinzelnisse.www.SearchBean" />


  <c:if test="${searchSettings.dictNoDeCommunitySearch && ! empty(searchSettings.noCommunityTranslations)}">
  <div class="dictSearchResult" align="center">
      <c:choose>
          <c:when test="${userSettings.lang == 'de'}">
              <h3>temporre Eintrge Norwegisch <img src="${pageContext.request.contextPath}/images/rarr.gif" alt="&rarr;"> Deutsch</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Norwegisch</th>
                  <th class="dictTable">Deutsch</th>
              </tr>
          </c:when>
          <c:otherwise>
              <h3>forelpig oversettelse  Norsk <img src="${pageContext.request.contextPath}/images/rarr.gif" alt="&rarr;"> Tysk</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Ord <em>Norsk</em></th>
                  <th class="dictTable">Ord <em>Tysk</em></th>
              </tr>
          </c:otherwise>
      </c:choose>
      <c:forEach var="trans" items="${searchSettings.noCommunityTranslations}">
          <tr>
              <td class="dictTable">
                  <a class="translation_${trans.flag}" href="?searchItem=${trans.word}">${trans.word}</a>${empty(trans.article) ? "": " <i>("}${trans.article}${empty(trans.article) ? "": ")</i>"}${empty(trans.other) ? " ": ", "}${trans.other}
              </td>
              <td class="dictTable">
                  <a class="translation_${trans.flag}" href="?searchItem=${trans.t_word}">${trans.t_word}</a>${empty(trans.t_article) ? "" : " <i>("}${trans.t_article}${empty(trans.t_article) ? "" : ")</i>"}${empty(trans.t_other) ? " ": ", "}${trans.t_other}
                  <b><i>${trans.category}</i></b>
              </td>
          </tr>
      </c:forEach>
      </table>
  </div>
  </c:if>

  <c:if test="${searchSettings.dictDeNoCommunitySearch && ! empty(searchSettings.deCommunityTranslations)}">
  <div class="dictSearchResult" align="center">
      <c:choose>
          <c:when test="${userSettings.lang == 'de'}">
              <h3>temporre Eintrge Deutsch <img src="${pageContext.request.contextPath}/images/rarr.gif" alt="&rarr;"> Norwegisch</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Deutsch</th>
                  <th class="dictTable">Norwegisch</th>
              </tr>
          </c:when>
          <c:otherwise>
              <h3>forelpig oversettelse Tysk <img src="${pageContext.request.contextPath}/images/rarr.gif" alt="&rarr;"> Norsk</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Tysk</th>
                  <th class="dictTable">Norsk</th>
              </tr>
          </c:otherwise>
      </c:choose>
      <c:forEach var="trans" items="${searchSettings.deCommunityTranslations}">
          <tr>
              <td class="dictTable">
                  <a class="translation_${trans.flag}" href="?searchItem=${trans.word}">${trans.word}</a>${empty(trans.article) ? "" : " <i>("}${trans.article}${empty(trans.article) ? "" : ")</i>"}${empty(trans.other) ? " ": ", "}${trans.other}
              </td>
              <td class="dictTable"><a class="translation_${trans.flag}" href="?searchItem=${trans.t_word}">${trans.t_word}</a>${empty(trans.t_article) ? "" : " <i>("}${trans.t_article}${empty(trans.t_article) ? "" : ")</i>"}${empty(trans.t_other) ? " ": ", "}${trans.t_other}
                  <b><i>${trans.category}</i></b>
              </td>
          </tr>
      </c:forEach>
      </table>
  </div>
  </c:if> 