<jsp:directive.page contentType="text/html" />
<jsp:directive.page pageEncoding="UTF-8" />
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="searchSettings" scope="request" class="info.heinzelnisse.www.SearchBean" />

<div id="search">
    
    <form method="get" id="entry" action="${pageContext.request.requestURL}" enctype="application/x-www-form-urlencoded">
        <fieldset>
        <label class="noDisplay" for="searchItem">${userSettings.lang == 'de' ? 'Geben Sie hier Ihren Suchbegriff ein:' : 'Vennligst skriv inn ditt søkeord'} </label> 
        <input type="text" id="searchItem" name="searchItem" class="searchfield" size="32" maxlength="80" value="${searchSettings.searchItem}"  onfocus="select()" />
        <label class="noDisplay" for="searchbutton">${userSettings.lang == 'de' ? "Begriff suchen" : "Søk ord"}</label>
        <input type="submit" id="searchbutton" value="${userSettings.lang == 'de' ? "Suche" : "Søk"}" />
        <a href="javascript:displayHideBlock('options')">${userSettings.lang == 'de' ? "Optionen" : "Avansert søk"}</a>
        </fieldset>
        <fieldset id="options">
            <input type="hidden" name="setOptions" value="true" />
            <legend>${userSettings.lang == 'de' ? 'Such-Optionen' : 'Avansert søk'}</legend> 
            <div class="options_entry">
            <label for="dictDeNoSearch"><abbr title="${userSettings.lang == 'de' ? 'Von Deutsch zu Norwegisch' : 'fra tysk til norsk'}">DE → NO</abbr></label>
            <input type="checkbox" id="dictDeNoSearch" name="dictDeNoSearch" ${searchSettings.dictDeNoSearch ? "checked=\"checked\"" : ""} />
            <div class="clearFloat"></div>
            </div>
            <div class="options_entry">
            <label for="dictDeNoSearch"><abbr title="${userSettings.lang == 'de' ? 'Von Norwegisch zu Deutsch' : 'fra norsk til tysk'}">NO → DE</abbr></label>
            <input type="checkbox" id="dictNoDeSearch" name="dictNoDeSearch" ${searchSettings.dictNoDeSearch ? "checked=\"checked\"" : ""} />
            <div class="clearFloat"></div>
            </div>
            <div class="options_entry">
                <label for="dictExactSearch"><abbr title="${userSettings.lang == 'de' ? 'exakt' : 'presis'}">${userSettings.lang == "de" ? "exakt" : "presis"}</abbr></label>
            <input type="checkbox" id="dictExactSearch" name="dictExactSearch" ${searchSettings.dictExactSearch ? "checked=\"checked\"" : ""} />
            <div class="clearFloat"></div>
            </div>
            <div class="options_entry">
                <label for="dictPhoneticSearch"><abbr title="${userSettings.lang == 'de' ? 'Wortvorschläge' : 'ordforslag'}">${userSettings.lang == "de" ? "Wortvorschläge" : "ordforslag"}</abbr></label>
            <input type="checkbox" id="dictPhoneticSearch" name="dictPhoneticSearch" ${searchSettings.dictPhoneticSearch ? "checked=\"checked\"" : ""} />
            <div class="clearFloat"></div>
            </div>
            <div class="options_entry">
                <label for="wikiSearch"><abbr title="${userSettings.lang == 'de' ? 'Sprachthemen' : 'Språktemaer'}">${userSettings.lang == 'de' ? "Sprachthemen" : "Språktemaer"}</abbr></label>
            <input type="checkbox" id="wikiSearch" name="wikiSearch" ${searchSettings.wikiSearch ? "checked=\"checked\"" : ""} />
            <div class="clearFloat"></div>
            </div>
            <div class="options_entry">
                <label for="dictNynorskSearch"><abbr title="${userSettings.lang == 'de' ? 'Nynorsk' : 'nynorsk'}">${userSettings.lang == "de" ? "Nynorsk" : "nynorsk"}</abbr></label>
            <input type="checkbox" id="dictNynorskSearch" name="dictNynorskSearch" ${searchSettings.dictNynorskSearch ? "checked=\"checked\"" : ""} />
            <input type="hidden" id="dictBokmaalSearch" name="dictBokmaalSearch" value="checked" /><!-- always true, result dependent on dictPhoneticSearch -->
            <div class="clearFloat"></div>
            </div>
            <div class="options_entry">
                <label for="forumKeywordSearch"><abbr title="${userSettings.lang == 'de' ? 'Forum Stichwörter' : 'Forum stikkord'}">${userSettings.lang == 'de' ? "Forum Stichwörter" : "Forum stikkord"}</abbr></label>
            <input type="checkbox" id="forumKeywordSearch" name="forumKeywordSearch" ${searchSettings.forumKeywordSearch ? "checked=\"checked\"" : ""} />
            <div class="clearFloat"></div>
            </div>
            <div class="options_entry">
                <label for="forumSearch"><abbr title="Forum">Forum</abbr></label>
            <input type="checkbox" id="forumSearch" name="forumSearch" ${searchSettings.forumSearch ?"checked=\"checked\"" : ""} />
            </div>
            <div class="clearFloat"></div>
            <div class="options_entry">
                <label for="suggestion"><abbr title="${userSettings.lang == 'de' ? 'Wortvorschläge' : 'Ordforslag'}">${userSettings.lang == 'de' ? 'Wortvorschläge' : 'Ordforslag'}</abbr></label>
            <input type="checkbox" id="suggestion" name="suggestion" ${searchSettings.suggestion ? "checked=\"checked\"" : ""} />
            <div class="clearFloat"></div>
            </div>
        </fieldset>
    </form>
</div>

<div class="clearFloat"></div>