<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="statistics" scope="request" class="info.heinzelnisse.www.statistics.StatisticBean" />

<c:if test="${userSettings.user.admin}">
<table align="center" width="100%">
  <center><b>  Statistik  </b></center>
  <tr>
    <th align="left">
      &Uuml;bersetzungen:
    </th>
    <td align="right">
      ${statistics.translations}
    </td>
    <td>
    </td>
  </tr>
  <c:if test="${statistics.items > 0}">
  <tr>
    <th align="left">
      Suchbegriffe:
    </th>
    <td align="right">
        ${statistics.items}
    </td>
    <td>
    </td>
  </tr>
  </c:if>
  <tr>
    <th align="left">
      Trefferquote:
    </th>
    <td align="right">
      ${statistics.ratio}%
    </td>
    <td>
    </td>
  </tr>
  
    <tr>
    <th>
    </th>
    <th>
    </th>
    <th>
      W&ouml;rterbuch:
      <img width="30" height="10" hspace="3" alt="" src="${pageContext.request.contextPath}/images/accessbar_d.png">
      &nbsp;&nbsp;&nbsp;
      Vokabeltrainer:
      <img width="30" height="10" hspace="3" alt="" src="${pageContext.request.contextPath}/images/accessbar_t.png">
    </th>
  </tr>
  <tr>
    <th align="left">
      Jahresstatistik
    </th>
    <th>
    </th>
    <th>
    </th>
  </tr>
  <c:forEach var="stat" items="${statistics.yearStats}">
  <tr>
    <td>${stat.id}</td>
    <td align="right">${stat.total}</td>
    <td>
        <img src="${pageContext.request.contextPath}/images/accessbar_d.png" align="left" height="10" width="${stat.dictOfMax}%" border="0" alt="" hspace="0" />
        <img src="${pageContext.request.contextPath}/images/accessbar_t.png" align="left" height="10" width="${stat.trainerOfMax}%" border="0" alt="" hspace="0" />
    </td>
  </tr>
  </c:forEach>
  <tr>
    <th align="left">
      Monatsstatistik
    </th>
    <th>
    </th>
    <th>
    </th>
  </tr>
  <c:forEach var="stat" items="${statistics.monthStats}">
  <tr>
    <td>${stat.id}</td>
    <td align="right">${stat.total}</td>
    <td>
        <img src="${pageContext.request.contextPath}/images/accessbar_d.png" align="left" height="10" width="${stat.dictOfMax}%" border="0" alt="" hspace="0" />
        <img src="${pageContext.request.contextPath}/images/accessbar_t.png" align="left" height="10" width="${stat.trainerOfMax}%" border="0" alt="" hspace="0" />
    </td>
  </tr>
  </c:forEach>
  <tr>
    <th align="left">
      Wochenstatistik
    </th>
    <th>
    </th>
    <th>
    </th>
  </tr>
  <c:forEach var="stat" items="${statistics.weekStats}">
  <tr>
    <td>${stat.id}</td>
    <td align="right">${stat.total}</td>
    <td>
        <img src="${pageContext.request.contextPath}/images/accessbar_d.png" align="left" height="10" width="${stat.dictOfMax}%" border="0" alt="" hspace="0" />
        <img src="${pageContext.request.contextPath}/images/accessbar_t.png" align="left" height="10" width="${stat.trainerOfMax}%" border="0" alt="" hspace="0" />
    </td>
  </tr>
  </c:forEach>
</table>
</c:if>