<?xml version='1.0' encoding='utf-8'?>
<%-- 
    Document   : tiny
    Created on : Apr 8, 2008, 6:47:55 PM
    Author     : hklein
--%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<jsp:useBean id="search" type="info.heinzelnisse.www.SearchBean" scope="request" />

<%@page contentType="application/xhtml+xml" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN"
  "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>
        <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
        <title>Heinzelnisse</title>
    </head>
    <body>
	<c:if test="${empty (search.searchItem)}">
	<p>
        <b>NO &lt;-&gt; DE</b>
	</p>
	</c:if>
	<c:if test="${!empty (search.searchItem) && empty (search.deTranslations) && empty (search.noTranslations)}">
	<p>
	Keine &Uuml;bersetzung zu <b>${search.searchItem}</b> gefunden
	</p>
	</c:if>
        <c:if test="${!empty (search.deTranslations)}">
	<p>
            <b>DE -&gt; NO</b>
	</p>
	<div>
            <ul>
                <c:forEach var="entry" items="${search.deTranslations}">
                    <li><b><a href="${pageContext.request.requestURI}?searchItem=${entry.word}">${entry.word}</a></b><c:if test="${!empty (entry.article)}"> (${entry.article}) </c:if> ${entry.other} : <b><a href="${pageContext.request.requestURI}?searchItem=${entry.t_word}">${entry.t_word}</a></b><c:if test="${!empty (entry.t_article)}"> (${entry.t_article}) </c:if> ${entry.t_other}</li>
                </c:forEach>
            </ul>
	</div>
        </c:if>
        <c:if test="${!empty (search.noTranslations)}">
	<p>
            <b>NO -&gt; DE</b>
	</p>
	<div>
            <ul>
                <c:forEach var="entry" items="${search.noTranslations}">
                    <li><b><a href="${pageContext.request.requestURI}?searchItem=${entry.word}">${entry.word}</a></b><c:if test="${!empty (entry.article)}"> (${entry.article}) </c:if> ${entry.other} : <b><a href="${pageContext.request.requestURI}?searchItem=${entry.t_word}">${entry.t_word}</a></b><c:if test="${!empty (entry.t_article)}"> (${entry.t_article}) </c:if> ${entry.t_other}</li>
                </c:forEach>
            </ul>
	</div>
        </c:if>
        
        <c:if test="${!empty (search.dePhonetics)}">
	<p>
        <b>Ähnliches DE</b>
	</p>
	<div>
        <ul>
            <c:forEach var="entry" items="${search.dePhonetics}">
                <li><a href="${pageContext.request.requestURI}?searchItem=${entry}">${entry}</a></li>
            </c:forEach>            
        </ul>
	</div>
        </c:if>

        <c:if test="${!empty (search.noPhonetics)}">
	<p>
        <b>Ähnliches NO</b>
	</p>
	<div>
        <ul>
            <c:forEach var="entry" items="${search.noPhonetics}">
                <li><a href="${pageContext.request.requestURI}?searchItem=${entry}">${entry}</a></li>
            </c:forEach>            
        </ul>
	</div>
        </c:if>

        
        <form action="${pageContext.request.requestURI}" method="get">
            <fieldset>
            <input type="text" name="searchItem" />
            <input type="submit" value="Suche" />
            </fieldset>
        </form>
    </body>
</html>
