<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="wikiSearchPages" class="info.heinzelnisse.www.wiki.SearchPagesBean" scope="request" />

<%@include file="/WEB-INF/fragments/wikiStartHeader.jspf" %>
<%@include file="/WEB-INF/fragments/wikiEndHeader.jspf" %>

<h1>${userSettings.lang == 'de' ? "Ergebnisse von " : "Resultater for "}${wikiSearchPages.searchItem}</h1>
<ul>
    <c:forEach var="pageName" items="${wikiSearchPages.pageNames}">
        <li><a href="${userSettings.langContextPath}/wiki/${pageName}">${pageName}</a>
    </c:forEach>    
</ul>
