#! /usr/bin/perl -w

open(my $ih, "<:encoding(latin1)", $ARGV[0])
    or die "Cannot read $ARGV[0]: $!\n";
my $outname = $ARGV[0];
$outname =~ s/\.csv$/\.json/;
open(my $oh, ">:encoding(UTF8)", $outname)
    or die "Cannot write $outname: $!\n";

print $oh <<'EOF';
{
    "_comment": "language set for verlaufdichnicht",
    "words": [
EOF
my $first = 1;
my $line = <$ih>; # skip first line
while (defined ($line = <$ih>)) {
    chomp $line;
    my @fields = split "\t", $line;
    if ($first) {
        $first = 0;
    } else {
        print $oh ",\n";
    }
    print $oh "        {\n";
    print $oh "          \"question\": \"$fields[0]\",\n";
    print $oh "          \"language\": \"$fields[1]\",\n";
    print $oh "          \"correct\": \"$fields[2]\",\n";
    print $oh "          \"wrong1\": \"$fields[3]\",\n";
    print $oh "          \"wrong2\": \"$fields[4]\"\n";
    print $oh "        }";
}
print $oh "\n    ]\n}\n";
