/*
 * Translation.java
 *
 * Created on October 18, 2005, 2:35 PM
 *
 */

package info.heinzelnisse.dictionary;


/**
 *
 * @author Heiko Klein
 */
public class CanooLinkTranslation extends Translation {
    private String canooLink;
    
    /** Create a new instance of Translation */
    public CanooLinkTranslation(DictUtils.DictLang language, int id, String word, String article, String other, String t_word, String t_article, String t_other, String category, String grade, String canooLink) {
        super(language, id, word, article, other, t_word, t_article, t_other, category, grade);
        this.canooLink = canooLink;
    }
    
    public String getCanooLink() {
        return canooLink;
    }
    
    public void setCanooLink(String canooLink) {
        this.canooLink = canooLink;
    }

}

