/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package info.heinzelnisse.dictionary;

import java.net.URLEncoder;
import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspException;

/**
 *
 * @author hklein
 */
public class UrlEncoderTag extends SimpleTagSupport {
    private String value;
    private String charset;

    /**
    * Called by the container to invoke this tag. 
    * The implementation of this method is provided by the tag library developer,
    * and handles all tag processing, body iteration, etc.
    */
    public void doTag() throws JspException {
        
        JspWriter out=getJspContext().getOut();

        try {
            out.print(URLEncoder.encode(value, charset));
            
            JspFragment f=getJspBody();
            if (f != null) f.invoke(out);

            // TODO: insert code to write html after writing the body content.
            // e.g.:
            //
            // out.println("    </blockquote>");

        } catch (java.io.IOException ex) {
            throw new JspException(ex.getMessage());
        }

    }

    public void setValue(String value) {
        this.value = value;
    }

    public void setCharset(String charset) {
        this.charset = charset;
    }
}