/*
 * LineFormatter.java
 *
 * Created on May 14, 2006, 1:58 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package info.heinzelnisse.wiki;

/**
 *
 * @author Heiko Klein
 */
public interface LineFormatter {
    /**
     * cleanup code required by the LineFormatter
     * should be ended after the last line has been added
     *
     * LineFormatter should be finished in the opposite direction
     * they usually get fed with lines.
     */
    String finish();

    /**
     * Reformats a line
     */
    String formatLine(String line);
    
}
