#! /bin/bash
# this script should be run after letsencrypt renew renewed a license

LEDIR=/etc/letsencrypt/live/heinzelnisse.info/
openssl pkcs12 -export -in $LEDIR/fullchain.pem -inkey $LEDIR/privkey.pem -out /etc/tomcat8/cert_and_key_new.p12 -name tomcat -CAfile $LEDIR/chain.pem -caname root -password pass:blabla12

DATE=`date +%Y%m%d%H`
cp /etc/tomcat8/cert_and_key.p12 /etc/tomcat8/cert_and_key.p12_$DATE
mv /etc/tomcat8/cert_and_key_new.p12 /etc/tomcat8/cert_and_key.p12

systemctl restart tomcat8
