#! /usr/bin/env python3

import urllib.request
import re
import MySQLdb


contents = urllib.request.urlopen("https://check.torproject.org/exit-addresses")
addresses = []
pattern = re.compile(r'ExitAddress\s+([\d\.]+)\s+.*')
for line in contents:
    line = line.decode('utf-8')
    m = pattern.search(line)
    if m:
        addresses.append(m.group(1))


db = MySQLdb.connect(host="localhost", db="heikok_Ordbok")
cursor = db.cursor()
sql = "REPLACE INTO TorBlockedIps (address) VALUES (%s)"

for a in addresses:
    print(a)
    cursor.execute(sql, [a])

