<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" scope="session" type="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="commentSettings" scope="request" type="info.heinzelnisse.www.Comment.SettingsBean" />

<div align="right">
${userSettings.lang == 'de' ? "Zurück zum " : "Tilbake til "}
<a href="javascript:history.go(${empty (commentSettings.comment) ? "-1" : "-2"})">${userSettings.lang == 'de' ? "Wörterbuch" : "Ordbok"}
</a>
</div>

<center>
<c:choose>
    <c:when test="${! empty (commentSettings.comment)}">
    <b>${userSettings.lang == 'de' ? "Vielen Dank für die Mitarbeit. Folgender Eintrag wurde notiert" : "Takk for samarbeidet. Ditt bidrag ble notert slik"}:</b>
<table width="60%">
  <tr>
    <td>
    ${commentSettings.comment}
    </td>
  </tr>
</table>
    </c:when>
    <c:otherwise>
<form method="post" action="comment" enctype="application/x-www-form-urlencoded">
<input type=hidden name="word" value="${commentSettings.word}">
${userSettings.lang == 'de' ? "Hier können Änderungsvorschläge und Neueinträge eingetragen werden:" : "Her kan du foreslå forbedringer og nye gloser:"}
<br />
<textarea id="commentArea" name="comment" rows="10" cols="50" wrap="physical">
</textarea>
<br />
${userSettings.lang == 'de' ? "Ich versichere hiermit, dass ich den Beitrag selbst verfasst habe bzw. dass er keine fremden Rechte verletzt und willige ein, ihn unter der <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU-Lizenz für freie Dokumentation</a> zu veröffentlichen." : "Legg merke til at alle bidrag til Heinzelnisse er å betrakte som utgitt under <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU fri dokumentasjonslisens</a>. Du lover oss at du skrev teksten selv eller kopierte fra en ressurs som ikke er beskyttet av opphavsrett."}
<br />
<div align="right">
<input type=submit value="${userSettings.lang == 'de' ? "Abschicken" : "Send"}" />
</div>
</form>
</center>
    </c:otherwise>
</c:choose>
