<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<jsp:useBean id="forumInfo" class="info.heinzelnisse.www.forum.ReadBean" scope="request" />
<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />

<c:if test="${userSettings.user.id == 0}">
    <c:choose>
    <c:when test="${userSettings.lang == 'de'}">
        <jsp:include page="etikette_de.jsp" />
    </c:when>
    <c:otherwise>
        <jsp:include page="etikette_no.jsp" />
    </c:otherwise>
    </c:choose>
</c:if>

<p />
<c:if test="${userSettings.user.valid}">
<a href="forum?byuser=${userSettings.user.id}">${userSettings.lang == 'de' ? "Meine Beiträge" : "Mine innlegg"}</a>&nbsp;&nbsp;
</c:if>
<a href="./forum/archive">${userSettings.lang == 'de' ? "Archiv des Forums mit Suche" : "Forums Arkiv med Søkemotor"}</a>
<p />

<c:choose>
    <c:when test="${userSettings.user.valid}">
<form method="post" enctype="application/x-www-form-urlencoded" action="${pageContext.request.requestURL}">
    <fieldset>
    <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}"/>
    </fieldset>
</form>
    </c:when>
    <c:otherwise>
<form method="post" action="${pageContext.request.contextPath}/loginScreen">
<fieldset>
 <!-- <legend class="noDisplay">Einloggen:</legend> -->
 <label class="noDisplay" for="loginbutton">Login</label>
 <input type="hidden" name="returnUrl" value="${pageContext.request.requestURL}" />
 <input type="hidden" name=".State" value="" />
 <input type="submit" id="loginbutton" value="${userSettings.lang == 'de' ? "Einloggen um Frage zu stellen" : "Login for å stille et spørsmål"}" />
</fieldset> 
</form>        
    </c:otherwise>
</c:choose>

<jsp:include page="/WEB-INF/fragments/forum/result.jsp" />

<c:choose>
    <c:when test="${userSettings.user.valid}">
<form method="post" enctype="application/x-www-form-urlencoded" action="${pageContext.request.requestURL}">
    <fieldset>
    <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}"/>
    </fieldset>
</form>
    </c:when>
    <c:otherwise>
<form method="post" action="${pageContext.request.contextPath}/loginScreen">
<fieldset>
 <!-- <legend class="noDisplay">Einloggen:</legend> -->
 <label class="noDisplay" for="loginbutton">Login</label>
 <input type="hidden" name="returnUrl" value="${pageContext.request.requestURL}" />
 <input type="hidden" name=".State" value="" />
 <input type="submit" id="loginbutton" value="${userSettings.lang == 'de' ? "Einloggen um Frage zu stellen" : "Login for å stille et spørsmål"}" />
</fieldset> 
</form>        
    </c:otherwise>
</c:choose>

<p />
<a href="./forum/archive">${userSettings.lang == 'de' ? "Archiv des Forums mit Suche" : "Forums Arkiv med Søkemotor"}</a>
<p />
