<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<jsp:useBean id="forumInfo" class="info.heinzelnisse.www.ForumReadBean" scope="request" />
<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />

<c:if test="${userSettings.user.id == 0}">
    <c:choose>
    <c:when test="${userSettings.lang == 'de'}">
        <jsp:include page="etikette_de.jsp" />
    </c:when>
    <c:otherwise>
        <jsp:include page="etikette_no.jsp" />
    </c:otherwise>
    </c:choose>
</c:if>

<p />
<a href="./forum/archive">${userSettings.lang == 'de' ? "Archiv des Forums mit Suche" : "Forums Arkiv med Søkemotor"}</a>
<p />

<form method="post" enctype="application/x-www-form-urlencoded" action="${pageContext.request.requestURL}">
    <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}"/>
</form>

<jsp:include page="/WEB-INF/fragments/forum/result.jsp" />

<form method="post" enctype="application/x-www-form-urlencoded">
    <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}"/>
</form>

<p />
<a href="./forum/archive">${userSettings.lang == 'de' ? "Archiv des Forums mit Suche" : "Forums Arkiv med Søkemotor"}</a>
<p />
