<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<jsp:useBean id="userSettings" type="info.heinzelnisse.www.UserSettingsBean" scope="session" />


<div id="login">
<c:choose>
<c:when test="${! userSettings.user.valid}">
    <form method="post" action="${pageContext.request.contextPath}/loginScreen">
     <fieldset>
      <!-- <legend class="noDisplay">Einloggen:</legend> -->
      <label class="noDisplay" for="loginbutton">Login: </label>
      <input type="hidden" name="returnUrl" value="${pageContext.request.requestURL}" />
      <input type="hidden" name=".State" value="" />
      <input type="submit" id="loginbutton" value="Login" />
     </fieldset> 
    </form>
</c:when>
<c:otherwise>
<form method="post">
  <fieldset>
    <input type="hidden" name="logout" value="true" />
    <input type="submit" value="Logout ${userSettings.user.displayName}" class="submitLink" />
  </fieldset>
</form>
<form method="post" action="${pageContext.request.contextPath}/loginScreen">
    <fieldset>
    <input type="hidden" name="returnUrl" value="${pageContext.request.requestURL}" />
    <input type="hidden" name=".State" value="options" />
    <input type="submit" class="submitLink" value="${userSettings.lang == 'de' ? "Einstellungen" : "Instillinger"}"  />
    </fieldset>
</form>
</c:otherwise>
</c:choose>
<c:if test="${userSettings.user.admin}">
    <a href="${pageContext.request.contextPath}/statistics">Statistik</a>
    <c:if test="${userSettings.user.superAdmin}">
        <a href="${pageContext.request.contextPath}/dictAdmin">&nbsp;&nbsp;Admin</a>
    </c:if>
</c:if>
</div>