<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="searchSettings" scope="request" class="info.heinzelnisse.www.SearchBean" />

<c:if test="${!empty (searchSettings.forumQuestions)}">
    <h2>Forum</h2>
    
    <c:if test="${isForum}">
        <form method="post" enctype="application/x-www-form-urlencoded" action="${pageContext.request.requestURL}">
            <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}"/>
        </form>
    </c:if>
    
    <jsp:useBean id="forumInfo" class="info.heinzelnisse.www.forum.ReadBean" scope="request">
        <jsp:setProperty property="questions" name="forumInfo" value="${searchSettings.forumQuestions}" />
    </jsp:useBean>
    <jsp:include page="/WEB-INF/fragments/forum/result.jsp" />
    
</c:if>

<c:if test="${isForum}">
    <form method="post" enctype="application/x-www-form-urlencoded">
        <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}"/>
    </form>
</c:if>
