<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="searchSettings" scope="request" class="info.heinzelnisse.www.SearchBean" />

<c:if test="${!empty (searchSettings.searchItem)}">
    <c:if test="${!empty (searchSettings.wikiPageNames)}">
    <h2>Wiki ${userSettings.lang == 'de' ? "Ergebnisse von " : "Resultater for "}<em>${searchSettings.searchItem}</em></h2>
    <ul>
        <c:forEach var="pageName" items="${searchSettings.wikiPageNames}">
            <li><a href="${userSettings.langContextPath}/wiki/${pageName}">${pageName}</a>
        </c:forEach>    
    </ul>
    </c:if>
</c:if>