<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<jsp:useBean id="userSettings" type="info.heinzelnisse.www.UserSettingsBean" scope="session" />
<jsp:useBean id="trainer" type="info.heinzelnisse.www.Trainer.SettingsBean" scope="request" />

<form method="post" id="entry" enctype="application/x-www-form-urlencoded" action="${pageContext.request.requestURL}">
<fieldset>
    <input type="hidden" name="lastWord" value="${trainer.currentWord}" />
    <table frame="void" width="100%" cellpadding="0" cellspacing="0">
        <colgroup><col width="40%" /><col width="20%"/><col width="20%"/><col width="20%"/></colgroup>
        <tr><td align="right">&Uuml;bersetze <b>${trainer.currentWord}</b>:&nbsp;</td>
        <td><input type="text" name="input" id="searchItem" size="32" maxlength="40" /></td>
        <td align="center"><input type="radio" name="langlang" value="de" ${trainer.langlang == 'de' ? 'checked="checked"' : ''} />DE → NO<br /><input type="radio" name="langlang" value="no" ${trainer.langlang == 'de' ? '' : 'checked="checked"'} />NO → DE</td>
        <td><input type="submit" value="Weiter" /></td>
        <td align="left"></td> </tr>
    </table>
</fieldset>
</form>

<c:choose>
    <c:when test="${empty (trainer.lastWord)}">


<div class="leftAlign">
    <h1>${userSettings.lang == 'de' ? "Kreuzworträtsel" : "kryssord"}</h1>
    <a href="${pageContext.request.contextPath}/Downloads/Kreuzwortraetsel1.pdf">
        <img src="${pageContext.request.contextPath}/images/kreuzwort1.png"  alt="Kreuzworträtsel1" style="border: none" width="165" height="196"/>
    </a>
    <a href="${pageContext.request.contextPath}/Downloads/Kreuzwortraetsel2.pdf">
        <img src="${pageContext.request.contextPath}/images/kreuzwort2.png"  alt="Kreuzworträtsel2" style="border: none" width="168" height="196"/>
    </a>
<p />
    <h1>
    ${userSettings.lang == 'de' ? "Computerspiel" : "Dataspill"}: <a href="/verlaufdichnicht">Verlauf Dich Nicht</a>
    </h1>
    Mit Titelbild von <a href="http://home.arcor.de/freyt/">Margitta Freyt</a> und Soundtrack von <a href="http://www.baumhaus-koeln.de">Michael Ashauer</a>
    <br />
    <br />
    <a href="${pageContext.request.contextPath}/Downloads/get_it/verlaufdichnicht.jnlp">${userSettings.lang == 'de' ? 'auch als Offline Version' : 'offline versjon'}</a>
    <br /><br />
    <a href="${pageContext.request.contextPath}/verlaufdichnicht"><img src="${pageContext.request.contextPath}/images/heinzelgame.jpg" alt="Verlauf-Dich-Nicht" style="border: none"/></a><br />
    <a href="${pageContext.request.contextPath}/Downloads/get_it/VDN_Manual.pdf">${userSettings.lang == 'de' ? "Anleitung" : "Bruksanvisning (kun på tysk)"}</a>
</div>

    </c:when>
    <c:otherwise>
       <jsp:include page="/WEB-INF/fragments/search/translationTable.jsp" />
       <div class="dictSearchResult" align="center">
           ${userSettings.lang == 'de' ? 'Deine Antwort zu ' : 'Ditt svar til '} ${trainer.lastWord}: ${trainer.lastTranslation}
       </div>
    </c:otherwise>
</c:choose>