<jsp:directive.page contentType="text/html" />
<jsp:directive.page pageEncoding="UTF-8" />

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />
<jsp:useBean id="wikiVersions" class="info.heinzelnisse.www.wiki.VersionBean" scope="request" />

<jsp:directive.include file="startHeader.jspf" />
<jsp:directive.include file="endHeader.jspf" />


<h1>${wikiVersions.pageName}</h1>
<table border="0">
    <c:choose>
        <c:when test="${userSettings.lang == 'de'}">
            <tr>
                <th>Version</th>
                <th>Datum</th>
                <th>Autor</th>
                <th>Adresse</th>
            </tr>
        </c:when>
        <c:otherwise>
            <tr>
                <th>Versjon</th>
                <th>Datum</th>
                <th>Forfatter</th>
                <th>Adresse</th>
            </tr>
        </c:otherwise>
    </c:choose>
    <c:forEach var="wv" items="${wikiVersions.versions}">
        <tr>
            <td><a href="${userSettings.langContextPath}/wiki/${wikiVersions.pageName}?version=${wv.version}">${wv.version}</a></td>
            <td>${wv.timestamp}</td>
            <td>${wv.userName}</td>
            <td>${wv.address}</td>
        </tr>
    </c:forEach>
</table>

