<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />
<jsp:useBean id="wikiEdit" class="info.heinzelnisse.www.wiki.EditBean" scope="session" />

<%@include file="/WEB-INF/fragments/wikiStartHeader.jspf" %>
<a href="${pageContext.request.requestURL}"><b>${"de" == userSettings.lang ? "Abbrechen" : "Cancel"}</b></a>
<%@include file="/WEB-INF/fragments/wikiEndHeader.jspf" %>

<div>
    <h1>${wikiEdit.pageName}</h1>
    
    <form action="${pageContext.request.requestURL}" method="POST">
        <input type="hidden" name=".State" value="edit" />
        <input type="hidden" name="pageName" value="${wikiEdit.pageName}" />
        <textarea  name="content" rows="30" cols="100" wrap="virtual">${wikiEdit.content}</textarea>
        <br />
        <input type="submit" value="${userSettings.lang == "de" ? "Voransicht" : "Preview"}">
    </form>
    
</div>
<c:if test="${! (empty wikiEdit.content)}">
    <div style="border: thin solid">
        <form action="${pageContext.request.requestURL}" method="POST">
            <input type="hidden" name=".State" value="save" />
            ${wikiEdit.htmlContent}
            <input type="submit" value="${userSettings.lang == "de" ? "Speichern" : "Lagre"}">
        </form>
    </div>
</c:if>
