<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />

<%@include file="/WEB-INF/fragments/wikiStartHeader.jspf" %>
<%@include file="/WEB-INF/fragments/wikiEndHeader.jspf" %>

<c:choose>
    <c:when test="${userSettings.lang == 'de'}">
    <h2>Unbekannte Seite: ${pageName}</h2>
    </c:when>
    <c:otherwise>
    <h2>Unkjent side: ${pageName}</h2>
    </c:otherwise>
</c:choose>

<div style="margin-left: auto; margin-right: auto; text-align: center;">
<form action="${pageContext.request.requestURL}" method="POST">
    <input type="hidden" name=".State" value="edit" />
    <input type="hidden" name="pageName" value="${pageName}"/>
    <input type="submit" value="${userSettings.lang == "de" ? "Erstellen" : "Generer"}">
</form>
</div>