<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="wikiPage" class="info.heinzelnisse.www.wiki.PageBean" scope="request" />
<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />

<%@include file="/WEB-INF/fragments/wikiStartHeader.jspf" %>
<c:if test="${! wikiPage.page.admin || userSettings.user.admin}">
<a href="${pageContext.request.requestURL}?.State=edit">${"de" == userSettings.lang ? "Seite bearbeiten" : "Forandre siden"}</a>
</c:if>
<a href="${pageContext.request.requestURL}?.State=versions">${"de" == userSettings.lang ? "Autoren/Versionen" : "Forfatterne/Versjoner"}</a>
<%@include file="/WEB-INF/fragments/wikiEndHeader.jspf" %>



<c:if test="${wikiPage.oldVersion}">
    <h1>${wikiPage.page.name} ${'de' == userSettings.lang ? "Version: " : "Versjon: "} ${wikiPage.page.version}</h1>
</c:if>

${wikiPage.pageAsHtml}

